com.smartgwt.client.util.workflow

## Class FormSaveDataTask

- java.lang.Object
- - com.smartgwt.client.core.BaseClass
  - - com.smartgwt.client.util.workflow.ProcessElement
    - - com.smartgwt.client.util.workflow.ComponentTask
      - - com.smartgwt.client.util.workflow.FormSaveDataTask

- All Implemented Interfaces:
    com.google.gwt.event.shared.HasHandlers

      public class FormSaveDataTask
      extends ComponentTask

  Saves changes made in a form (validates first).
  See Also:
    `DynamicForm.saveData()`

- - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.core.BaseClass

      `config, configOnly, factoryCreated, factoryProperties, id, scClassName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FormSaveDataTask()`
    `FormSaveDataTask(com.google.gwt.core.client.JavaScriptObject jsObj)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.google.gwt.core.client.JavaScriptObject` | `create()`
    `java.lang.String` | `getBoundNotifyMessage()` The default message to be shown when a target form is bound to a DataSource.
    `java.lang.Boolean` | `getClearAfterSave()` The form will be `cleared` after a successful save unless this property is set to `false`.
    `java.lang.String` | `getFailureElement()` ID of the next sequence or element to proceed to if a failure condition arises from operation.
    `java.lang.String` | `getNotifyMessage()` The message to be shown when save completes if `showNotification` is set.
    `java.lang.String` | `getNotifyPosition()` Where to show the message, specified as an edge ("T", "B", "R", "L") similar to `Canvas.snapTo`, or "C" for center.
    `java.lang.String` | `getNotifyType()` NotifyType for `notifyMessage`.
    `static FormSaveDataTask` | `getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `java.lang.Boolean` | `getPassThruOutput()` Does this processElement pass through output from the last executed task (i.e.
    `DSRequest` | `getRequestProperties()` Additional properties to set on the DSRequest that will be issued to perform save.
    `java.lang.Boolean` | `getShowNotification()` Should a notification message (defined as notifyMessage) be shown after save completes successfully?
    `java.lang.String` | `getUnboundNotifyMessage()` The default message to be shown when a target form is not bound to a DataSource.
    `FormSaveDataTask` | `setBoundNotifyMessage(java.lang.String boundNotifyMessage)` The default message to be shown when a target form is bound to a DataSource.
    `FormSaveDataTask` | `setClearAfterSave(java.lang.Boolean clearAfterSave)` The form will be `cleared` after a successful save unless this property is set to `false`.
    `FormSaveDataTask` | `setFailureElement(java.lang.String failureElement)` ID of the next sequence or element to proceed to if a failure condition arises from operation.
    `FormSaveDataTask` | `setNotifyMessage(java.lang.String notifyMessage)` The message to be shown when save completes if `showNotification` is set.
    `FormSaveDataTask` | `setNotifyPosition(java.lang.String notifyPosition)` Where to show the message, specified as an edge ("T", "B", "R", "L") similar to `Canvas.snapTo`, or "C" for center.
    `FormSaveDataTask` | `setNotifyType(java.lang.String notifyType)` NotifyType for `notifyMessage`.
    `FormSaveDataTask` | `setPassThruOutput(java.lang.Boolean passThruOutput)` Does this processElement pass through output from the last executed task (i.e.
    `FormSaveDataTask` | `setRequestProperties(DSRequest requestProperties)` Additional properties to set on the DSRequest that will be issued to perform save.
    `FormSaveDataTask` | `setShowNotification(java.lang.Boolean showNotification)` Should a notification message (defined as notifyMessage) be shown after save completes successfully?
    `FormSaveDataTask` | `setUnboundNotifyMessage(java.lang.String unboundNotifyMessage)` The default message to be shown when a target form is not bound to a DataSource.

    - ### Methods inherited from class com.smartgwt.client.util.workflow.ComponentTask

      `getComponentBaseClass, getComponentBaseClassAsStringArray, getComponentId, getComponentRequiresDataSource, getTargetBaseClass, getTargetBaseClassAsStringArray, getTargetComponent, getTargetComponent, getUnsupportedComponentMessage, setComponentBaseClass, setComponentBaseClass, setComponentId, setComponentRequiresDataSource, setTargetBaseClass, setTargetBaseClass, setUnsupportedComponentMessage`

    - ### Methods inherited from class com.smartgwt.client.util.workflow.ProcessElement

      `completeElement, convertToJavaScriptArray, executeElement, getBindOutput, getClassDescription, getComponentReferences, getDescription, getDynamicValue, getEditorType, getElementDescription, getForceSingle, getID, getInvalidTaskMessage, getJsObj, getMockMode, getNextElement, getOrCreateJsObj, getProcessElements, getSupportsMultipleInputRecords, getTextFormulaValue, getTypeTitle, getUndefinedComponentMessage, getUnresolvedComponentMessage, getWaitDuration, getWaitFor, getWaitLocator, isCreated, isValid, objectReferencesLastTaskOutput, onInit, reset, setAttribute, setBindOutput, setClassDescription, setDescription, setEditorType, setForceSingle, setID, setJavaScriptObject, setMockMode, setNextElement, setSupportsMultipleInputRecords, setTypeTitle, setUndefinedComponentMessage, setUnresolvedComponentMessage, setWaitDuration, setWaitFor, setWaitLocator, updateGlobalIDInCriteria, updateGlobalIDInTextFormula, updateGlobalIDInValueProperty, updateGlobalIDInValues, updateGlobalIDReferences, updateLastElementBindingReferences, updateLastElementInCriteria, updateLastElementInValueProperty, updateLastElementInValues`

    - ### Methods inherited from class com.smartgwt.client.core.BaseClass

      `addDynamicProperty, addDynamicProperty, addDynamicProperty, addDynamicProperty, applyFactoryProperties, asSGWTComponent, clearDynamicProperty, createJsObj, destroy, doAddHandler, doInit, error, error, errorIfNotCreated, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsJavaScriptObject, getAttributeAsMap, getAttributeAsString, getAttributeAsStringArray, getClassName, getConfig, getHandlerCount, getRef, getRuleScope, getScClassName, getTestInstance, hasAutoAssignedID, hasDynamicProperty, internalSetID, internalSetID, isConfigOnly, isFactoryCreated, onBind, registerID, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setConfig, setConfigOnly, setFactoryCreated, setProperty, setProperty, setProperty, setProperty, setRuleScope, setScClassName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FormSaveDataTask

          public FormSaveDataTask()

    - #### FormSaveDataTask

          public FormSaveDataTask(com.google.gwt.core.client.JavaScriptObject jsObj)

  - ### Method Detail

    - #### getOrCreateRef

          public static FormSaveDataTask getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### create

          public com.google.gwt.core.client.JavaScriptObject create()

      Overrides:
        `create` in class `ComponentTask`

    - #### setBoundNotifyMessage

          public FormSaveDataTask setBoundNotifyMessage(java.lang.String boundNotifyMessage)
                                                 throws java.lang.IllegalStateException

      The default message to be shown when a target form is bound to a DataSource.
      Parameters:
        `boundNotifyMessage` - New boundNotifyMessage value. Default value is "${dsTitle} saved successfully"
      Returns:
        `FormSaveDataTask` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created

    - #### getBoundNotifyMessage

          public java.lang.String getBoundNotifyMessage()

      The default message to be shown when a target form is bound to a DataSource.
      Returns:
        Current boundNotifyMessage value. Default value is "${dsTitle} saved successfully"

    - #### setClearAfterSave

          public FormSaveDataTask setClearAfterSave(java.lang.Boolean clearAfterSave)
                                             throws java.lang.IllegalStateException

      The form will be `cleared` after a successful save unless this property is set to `false`.
      Parameters:
        `clearAfterSave` - New clearAfterSave value. Default value is true
      Returns:
        `FormSaveDataTask` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created

    - #### getClearAfterSave

          public java.lang.Boolean getClearAfterSave()

      The form will be `cleared` after a successful save unless this property is set to `false`.
      Returns:
        Current clearAfterSave value. Default value is true

    - #### setFailureElement

          public FormSaveDataTask setFailureElement(java.lang.String failureElement)
                                             throws java.lang.IllegalStateException

      ID of the next sequence or element to proceed to if a failure condition arises from operation.
      Parameters:
        `failureElement` - New failureElement value. Default value is null
      Returns:
        `FormSaveDataTask` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created

    - #### getFailureElement

          public java.lang.String getFailureElement()

      ID of the next sequence or element to proceed to if a failure condition arises from operation.
      Returns:
        Current failureElement value. Default value is null

    - #### setNotifyMessage

          public FormSaveDataTask setNotifyMessage(java.lang.String notifyMessage)
                                            throws java.lang.IllegalStateException

      The message to be shown when save completes if `showNotification` is set. If no message is configured a default message is used based on the whether the form is bound to a DataSource or not: `boundNotifyMessage` or `unboundNotifyMessage`.
      Parameters:
        `notifyMessage` - New notifyMessage value. Default value is null
      Returns:
        `FormSaveDataTask` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created

    - #### getNotifyMessage

          public java.lang.String getNotifyMessage()

      The message to be shown when save completes if `showNotification` is set. If no message is configured a default message is used based on the whether the form is bound to a DataSource or not: `boundNotifyMessage` or `unboundNotifyMessage`.
      Returns:
        Current notifyMessage value. Default value is null

    - #### setNotifyPosition

          public FormSaveDataTask setNotifyPosition(java.lang.String notifyPosition)
                                             throws java.lang.IllegalStateException

      Where to show the message, specified as an edge ("T", "B", "R", "L") similar to `Canvas.snapTo`, or "C" for center. The message will be shown at the center of the edge specified (or the very center for "C").
      Parameters:
        `notifyPosition` - New notifyPosition value. Default value is "T"
      Returns:
        `FormSaveDataTask` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created

    - #### getNotifyPosition

          public java.lang.String getNotifyPosition()

      Where to show the message, specified as an edge ("T", "B", "R", "L") similar to `Canvas.snapTo`, or "C" for center. The message will be shown at the center of the edge specified (or the very center for "C").
      Returns:
        Current notifyPosition value. Default value is "T"

    - #### setNotifyType

          public FormSaveDataTask setNotifyType(java.lang.String notifyType)
                                         throws java.lang.IllegalStateException

      NotifyType for `notifyMessage`.
      Parameters:
        `notifyType` - New notifyType value. Default value is "message"
      Returns:
        `FormSaveDataTask` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created
      See Also:
        `NotifyType`

    - #### getNotifyType

          public java.lang.String getNotifyType()

      NotifyType for `notifyMessage`.
      Returns:
        Current notifyType value. Default value is "message"
      See Also:
        `NotifyType`

    - #### setPassThruOutput

          public FormSaveDataTask setPassThruOutput(java.lang.Boolean passThruOutput)
                                             throws java.lang.IllegalStateException

      Does this processElement pass through output from the last executed task (i.e. transient state)?

      See `taskInputExpressions` for details on the transient state outputs.

      Note that this property does not affect the task at all but is an indicator to the user and to the workflow editor of the behavior of the task as coded (See `Process.passThruTaskOutput()`).

      Overrides:
        `setPassThruOutput` in class `ProcessElement`
      Parameters:
        `passThruOutput` - New passThruOutput value. Default value is false
      Returns:
        `FormSaveDataTask` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created

    - #### getPassThruOutput

          public java.lang.Boolean getPassThruOutput()

      Does this processElement pass through output from the last executed task (i.e. transient state)?

      See `taskInputExpressions` for details on the transient state outputs.

      Note that this property does not affect the task at all but is an indicator to the user and to the workflow editor of the behavior of the task as coded (See `Process.passThruTaskOutput()`).

      Overrides:
        `getPassThruOutput` in class `ProcessElement`
      Returns:
        Current passThruOutput value. Default value is false

    - #### setRequestProperties

          public FormSaveDataTask setRequestProperties(DSRequest requestProperties)
                                                throws java.lang.IllegalStateException

      Additional properties to set on the DSRequest that will be issued to perform save.

      Note that `willHandleError` will always be set `true`.

      Parameters:
        `requestProperties` - New requestProperties value. Default value is null
      Returns:
        `FormSaveDataTask` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created

    - #### getRequestProperties

          public DSRequest getRequestProperties()

      Additional properties to set on the DSRequest that will be issued to perform save.

      Note that `willHandleError` will always be set `true`.

      Returns:
        Current requestProperties value. Default value is null

    - #### setShowNotification

          public FormSaveDataTask setShowNotification(java.lang.Boolean showNotification)
                                               throws java.lang.IllegalStateException

      Should a notification message (defined as notifyMessage) be shown after save completes successfully?
      Parameters:
        `showNotification` - New showNotification value. Default value is null
      Returns:
        `FormSaveDataTask` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created

    - #### getShowNotification

          public java.lang.Boolean getShowNotification()

      Should a notification message (defined as notifyMessage) be shown after save completes successfully?
      Returns:
        Current showNotification value. Default value is null

    - #### setUnboundNotifyMessage

          public FormSaveDataTask setUnboundNotifyMessage(java.lang.String unboundNotifyMessage)
                                                   throws java.lang.IllegalStateException

      The default message to be shown when a target form is not bound to a DataSource.
      Parameters:
        `unboundNotifyMessage` - New unboundNotifyMessage value. Default value is "Saved successfully"
      Returns:
        `FormSaveDataTask` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created

    - #### getUnboundNotifyMessage

          public java.lang.String getUnboundNotifyMessage()

      The default message to be shown when a target form is not bound to a DataSource.
      Returns:
        Current unboundNotifyMessage value. Default value is "Saved successfully"